Page MenuHomePhabricator

Create a systematic approach to community engagement for product development teams
Closed, ResolvedPublic

Description

This task is the parent of a WMF Annual Plan (2016-17) goal for the Technical Collaboration team. (ref: https://meta.wikimedia.org/wiki/Wikimedia_Foundation_Annual_Plan/2016-2017/revised#Program_7:_Improve_collaboration_with_communities_in_product_development
).

For now it holds the Technical Collaboration Guideline sub-task.

Related Objects

StatusAssignedTask
DuplicateNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
InvalidKeegan
DuplicateQgil
ResolvedQgil
ResolvedQgil
DeclinedKeegan
DeclinedNone
ResolvedMoushira
StalledNone
OpenNone
ResolvedQgil
DuplicateTrizek-WMF
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
OpenNone
ResolvedMoushira
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedKeegan
ResolvedJohan
ResolvedKeegan
DeclinedElitre
ResolvedElitre
DeclinedNone
ResolvedElitre
DuplicateKeegan
DuplicateKeegan
DeclinedKeegan
Resolvedelappen-WMF
ResolvedKeegan

Event Timeline

Keegan created this task.Jun 21 2016, 6:09 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 21 2016, 6:09 PM
Keegan claimed this task.Jun 21 2016, 7:29 PM
Qgil added a subscriber: Qgil.Aug 2 2016, 9:22 AM

To be clear, the expected result for this task is a broad plan to accomplish our annual plan goal "Create a systematic approach to community engagement for product development teams". That goal has three objectives defined, and we have four quarters to achieve them. The expected plan should define what needs to be accomplished every quarter, and which are the main dependencies and risks.

Keegan added a comment.EditedAug 5 2016, 6:37 PM

Rough plan/timeline:

Dependencies here are other peoples' time to discuss the issues, and me focusing on what I've learned from my conversations and turning them into actionable recommendation bullet points. The risk here is that, despite best efforts to work with a multitude of stakeholders within the WMF on this, a viewpoint might get lost that will help inform the outcome due to time constraints. This is mitigated by the review in the second quarter.

  • Q2 - Thoroughly review the TCG draft with CLs, product teams, <EDIT: and community> to iterate and improve, keeping in mind additional sections may be found that need to be written.

Dependency here is other peoples' time. The time this will take is unknown. I could receive little feedback and have little to do for refinement, the thing might need a major overhaul, or maybe just simple copy-editing. I'm not going to have an understanding of the commitment until the time comes. The worst-case scenario is that it takes more time than a quarter. This isn't not a bad thing, as it will not preclude other work from happening anyway. Areas of the TCG that are deemed complete can go ahead and be used.

  • Q2/3 - I start working with a CL and a product team to use the TCG - starting with a product inception - to use the recommendations in the TCG, and document the steps and outcomes. This moves towards completing objectives two and three.

Dependency here is a product team with a CL that will a) buy-in to the TCG recommendations and b) has a new concept that is ready to be explored. The risk is TCG recommendations will be heard as recommendations and not necessarily followed - thus the importance of buy-in from whatever team takes this on.

  • Q4 - socialize and encourage the adoption of the TCG within the WMF and communities

Dependencies and risks are TBD.

Timeline ported over to the TCG page on MW.org, added some scope to the main page.

SPoore added a subscriber: SPoore.Mar 18 2017, 8:12 PM

The TCG needs further review between product and TC. These discussions are to be arranged by TC and product leads, they are out of my control.

The TCG is undergoing a case review for ORES, aiming to mutually inform each other.

The TCG is "finished" as much as a wiki page can be - it's always ready to be updated or altered as needed.

Product management at the WMF still needs to give a sign-off, but that part is up to the department heads to get together and work it out.

The draft tag will remain until this occurs, but otherwise this is done from my end.

Qgil closed this task as Resolved.Jun 30 2017, 7:49 PM

Since this was an annual plan program for FY2016-17, as such I think this task can be resolved. T144625 remains open, reflecting the current reality.

Makes sense, thank you.